# TERI-3DNLOS
3D NLOS imaging with an ordinary camera

Manuscript:
Czajkowski, R. and Murray-Bruce, J., 'Two-edge-resolved three-dimensional non-line-of-sight imaging with an ordinary camera', Nat. Commun., 2023.


The contents of this folder include MATLAB scripts for reproducing results in the manuscript (and its supplementary information document).

To reproduce reconstructions, run the corresponding MATLAB scripts as described below. Our code has been tested on MATLAB version 2022a.

Main manuscript results:
1. For Figure 3, run script 'figure3_reconstruct_scenes.’m
2. For Table 1, run script 'figure3_reconstruct_scenes.m’ (results are displayed in the command window)
3. For Figure 4, run script 'figure4_reconstruct_scenes.m’


Supplementary material results:
1. For Supplementary Figure 6, run live script 'SupplementaryFigure6_CRB_ellipsoids.mlx'
2. For Supplementary Figures 10 and 11, run script 'SupplementaryFigures10and11_FIM_CRBmatrix.m'
3. For Supplementary Figure 12, run script 'SupplementaryFigure12_single_snap_recons.m’
2. For Supplementary Table 1, run script 'SupplementaryFigure12_single_snap_recons.m' (results are displayed in the command window).
